@echo off
echo Inizio processing After Build: configurazione %1 , directory %2

if %1 == "Release" goto ReleaseExec
if %1 == Release goto ReleaseExec
if %1 == "Debug" goto DebugExec
if %1 == Debug goto DebugExec
if %1 == "Remote_DEBUG" goto RemoteDebugExec
if %1 == Remote_DEBUG goto RemoteDebugExec

:ReleaseExec
echo Release processing...
del /S %2"*.pdb""
del /S %2"*.xml""
del /S %2"lib/*.pdb""
echo Release: eliminato pdb + xml!!!
goto END
 
:DebugExec
echo Debug processing...

goto END


:RemoteDebugExec
echo Remote_DEBUG processing, effettuo copia script verso server remoto (ROBOCOPY)
REM copia script verso server remoto
REM echo Debug remoto: effettuo robocopy sync (verificare remote per cliente)

REM FINASSI
REM ROBOCOPY %2 \\10.150.0.1\Steamware\IOB-WIN-OSAI-DEB /MIR
REM Baglietto
REM ROBOCOPY %2 \\192.168.60.15\Steamware\IOB-WIN-OSAI-DEB /MIR
REM GIACOVELLI LOCOROTONDO
REM ROBOCOPY %2 \\192.168.1.93\Steamware\IOB-WIN-OSAI-DEB /MIR
REM IMI Remosa
REM ROBOCOPY %2 \\192.168.0.12\Steamware\IOB-WIN-OSAI-DEB /MIR

REM IOB-WIN-SIM
REM ROBOCOPY %2 \\IOB-WIN-SIMULA\Steamware\IOB-WIN-OSAI-DEB /MIR

REM IOBVPN4MACHINE
REM ROBOCOPY %2 \\10.51.90.5\Steamware\IOB-WIN-OSAI-DEB /MIR
REM ROBOCOPY %2 \\10.51.90.5\Steamware\IOB-WIN-OSAI-DEB /MIR /log:RobocopyTransfer.log
REM ROBOCOPY %2 Z:\IOB-WIN-OSAI-DEB /MIR
REM ROBOCOPY %2 \\10.51.90.10\Steamware\IOB-WIN-OSAI-DEB /MIR
ROBOCOPY %2 \\10.51.90.9\Steamware\IOB-WIN-OSAI-DEB /MIR

goto END

:END
echo Fatto!